UbixOS V2 2.0

Data Structures | Macros | Functions
memp_priv.h File Reference
`#include <net/opt.h>`
`#include <net/mem.h>`
Include dependency graph for memp_priv.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | memp
struct | memp_desc

## Macros
#define | DECLARE_LWIP_MEMPOOL_DESC(desc)
#define | LWIP_MEMPOOL_DECLARE_STATS_INSTANCE(name)
#define | LWIP_MEMPOOL_DECLARE_STATS_REFERENCE(name)
#define | MEMP_ALIGN_SIZE(x) (LWIP_MEM_ALIGN_SIZE(x))
#define | MEMP_SIZE 0

## Functions
void | memp_free_pool (const struct memp_desc *desc, void *mem)
void | memp_init_pool (const struct memp_desc *desc)
void * | memp_malloc_pool (const struct memp_desc *desc)

## Detailed Description

memory pools lwIP internal implementations (do not use in application code)

Definition in file memp_priv.h.

## Macro Definition Documentation

## ◆ DECLARE_LWIP_MEMPOOL_DESC

#define DECLARE_LWIP_MEMPOOL_DESC | ( |  | desc | ) |

Definition at line 158 of file memp_priv.h.

## ◆ LWIP_MEMPOOL_DECLARE_STATS_INSTANCE

#define LWIP_MEMPOOL_DECLARE_STATS_INSTANCE | ( |  | name | ) |

Definition at line 165 of file memp_priv.h.

## ◆ LWIP_MEMPOOL_DECLARE_STATS_REFERENCE

#define LWIP_MEMPOOL_DECLARE_STATS_REFERENCE | ( |  | name | ) |

Definition at line 166 of file memp_priv.h.

## ◆ MEMP_ALIGN_SIZE

#define MEMP_ALIGN_SIZE | ( |  | x | ) | (LWIP_MEM_ALIGN_SIZE(x))

Definition at line 86 of file memp_priv.h.

## ◆ MEMP_SIZE

#define MEMP_SIZE 0

Definition at line 85 of file memp_priv.h.

## Function Documentation

## ◆ memp_free_pool()

void memp_free_pool | ( | const struct memp_desc * | desc,
|  | void * | mem
| ) |  |

Put a custom pool element back into its pool.

Parameters

  desc | the pool where to put mem
  mem | the memp element to free

Definition at line 452 of file memp.c.

References LWIP_ASSERT, and NULL.

## ◆ memp_init_pool()

void memp_init_pool | ( | const struct memp_desc * | desc | ) |

Initialize custom memory pool. Related functions: memp_malloc_pool, memp_free_pool

Parameters

  desc | pool to initialize

Definition at line 230 of file memp.c.

References memp_desc::base, LWIP_MEM_ALIGN, LWIP_UNUSED_ARG, MEMP_OVERFLOW_CHECK, MEMP_SIZE, memp::next, NULL, memp_desc::num, memp_desc::size, and memp_desc::tab.

Referenced by memp_init().

## ◆ memp_malloc_pool()

void* memp_malloc_pool | ( | const struct memp_desc * | desc | ) |

Get an element from a custom pool.

Parameters

  desc | the pool to get an element from

Returns
  a pointer to the allocated memory or a NULL pointer on error

Definition at line 359 of file memp.c.

References LWIP_ASSERT, and NULL.